--- old/usr/src/uts/common/io/ptem.c	2017-07-27 16:35:43.944064249 -0400
+++ new/usr/src/uts/common/io/ptem.c	2017-07-27 16:35:43.974071416 -0400
@@ -28,8 +28,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI" /* from S5R4 1.13 */
-
 /*
  * Description:
  *
@@ -106,8 +104,8 @@
 	0xabcd,
 	"ptem",
 	0,
-	512,
-	512,
+	_TTY_BUFSIZ,
+	_TTY_BUFSIZ,
 	128
 };
 
@@ -201,7 +199,7 @@
 	mop->b_wptr += sizeof (struct stroptions);
 	sop = (struct stroptions *)mop->b_rptr;
 	sop->so_flags = SO_HIWAT | SO_LOWAT | SO_ISTTY;
-	sop->so_hiwat = 512;
+	sop->so_hiwat = _TTY_BUFSIZ;
 	sop->so_lowat = 256;
 
 	/*
@@ -480,11 +478,12 @@
 
 		case M_FLUSH:
 			if (*mp->b_rptr & FLUSHW) {
-			    if ((ntp->state & IS_PTSTTY) &&
-					(*mp->b_rptr & FLUSHBAND))
-				flushband(q, *(mp->b_rptr + 1), FLUSHDATA);
-			    else
-				flushq(q, FLUSHDATA);
+				if ((ntp->state & IS_PTSTTY) &&
+				    (*mp->b_rptr & FLUSHBAND))
+					flushband(q, *(mp->b_rptr + 1),
+					    FLUSHDATA);
+				else
+					flushq(q, FLUSHDATA);
 			}
 			putnext(q, mp);
 			break;
@@ -1041,7 +1040,7 @@
 		mioc2ack(mp, NULL, 0, 0);
 		qreply(q, mp);
 		return;
-	    }
+	}
 
 	case TIOCREMOTE: {
 		int	onoff;
@@ -1082,7 +1081,7 @@
 		else
 			tp->state &= ~REMOTEMODE;
 		return;
-	    }
+	}
 
 	default:
 		putnext(q, mp);
